%global __provides_exclude_from ^%{_libdir}/pantheon-photos/.*\\.so$

%global srcname photos
%global appname io.elementary.photos
%global oldname org.pantheon.photos

Name:           pantheon-photos
Summary:        Pantheon photo manager and viewer
Version:        0.2.4
Release:        6%{?dist}
License:        LGPLv2+

URL:            https://github.com/elementary/%{srcname}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  vala

BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(geocode-glib-1.0)
BuildRequires:  pkgconfig(gexiv2)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-base-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.10
BuildRequires:  pkgconfig(gudev-1.0) >= 145
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libgphoto2) >= 2.4.2
BuildRequires:  pkgconfig(libexif) >= 0.6.16
BuildRequires:  pkgconfig(libraw) >= 0.13.2
BuildRequires:  pkgconfig(libsoup-2.4) >= 2.26.0
BuildRequires:  pkgconfig(libxml-2.0) >= 2.6.32
BuildRequires:  pkgconfig(rest-0.7) >= 0.7
BuildRequires:  pkgconfig(sqlite3) >= 3.5.9
BuildRequires:  pkgconfig(unity) >= 4.0.0
BuildRequires:  pkgconfig(webkit2gtk-4.0) >= 2.0.0

Requires:       hicolor-icon-theme


%description
The elementary continuation of Shotwell, originally written by Yorba
Foundation.


%prep
%autosetup -n %{srcname}-%{version}


%build
mkdir build && pushd build
%cmake ..
%make_build
popd


%install
pushd build
%make_install
popd

%find_lang %{name}


%check
desktop-file-validate \
    %{buildroot}/%{_datadir}/applications/%{oldname}.desktop

desktop-file-validate \
    %{buildroot}/%{_datadir}/applications/%{oldname}-viewer.desktop

# Validation currently fails due to a bug (?) in appstream-glib
# https://bugzilla.redhat.com/show_bug.cgi?id=1492566
appstream-util validate-relax --nonet \
    %{buildroot}/%{_datadir}/metainfo/%{oldname}.appdata.xml || :


%files -f %{name}.lang
%doc AUTHORS README.md THANKS
%license COPYING

%{_bindir}/%{name}

%{_libdir}/%{name}/

%{_libexecdir}/%{name}/

%{_datadir}/applications/%{oldname}.desktop
%{_datadir}/applications/%{oldname}-viewer.desktop
%{_datadir}/glib-2.0/schemas/%{oldname}.gschema.xml
%{_datadir}/glib-2.0/schemas/%{oldname}-extras.gschema.xml
%{_datadir}/metainfo/%{oldname}.appdata.xml
%{_datadir}/%{name}/


%changelog
* Wed Jun 13 2018 Fabio Valentini <decathorpe@gmail.com> - 0.2.4-6
- Rebuild for granite5 soname bump.

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 23 2018 Fabio Valentini <decathorpe@gmail.com> - 0.2.4-4
- Be lazy about undefined symbols in plugins.

* Sat Nov 04 2017 Fabio Valentini <decathorpe@gmail.com> - 0.2.4-3
- Rebuild for granite soname bump.

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Fri Jul 28 2017 Fabio Valentini <decathorpe@gmail.com> - 0.2.4-1
- Update to version 0.2.4.

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed May 03 2017 Fabio Valentini <decathorpe@gmail.com> - 0.2.3-1
- Update to version 0.2.3.

* Mon Mar 20 2017 Fabio Valentini <decathorpe@gmail.com> - 0.2.2-1
- Update to version 0.2.2.

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Jan 29 2017 Fabio Valentini <decathorpe@gmail.com> - 0.2.1.1-4
- Rename icon to match .desktop file.

* Thu Jan 26 2017 Fabio Valentini <decathorpe@gmail.com> - 0.2.1.1-3
- Fix license Tag: LGPLv2+.
- Unmark README as executable.
- Unmark vala source files as executable.
- Add patch to move executable from /usr/share into libexec.

* Wed Jan 25 2017 Fabio Valentini <decathorpe@gmail.com> - 0.2.1.1-2
- Include icons to fix appstream metadata generation.

* Wed Jan 25 2017 Fabio Valentini <decathorpe@gmail.com> - 0.2.1.1-1
- Update to version 0.2.1.1.

* Sat Dec 24 2016 Fabio Valentini <decathorpe@gmail.com> - 0.2-5
- Enable libunity support.

* Thu Sep 29 2016 Fabio Valentini <decathorpe@gmail.com> - 0.2-4
- Mass rebuild.

* Wed Sep 28 2016 Fabio Valentini <decathorpe@gmail.com> - 0.2-3
- Spec file cleanups.

* Mon Sep 19 2016 Fabio Valentini <decathorpe@gmail.com> - 0.2-2
- Spec file cosmetics.

* Thu Aug 11 2016 Fabio Valentini <decathorpe@gmail.com> - 0.2-1
- Update to version 0.2.


